{{cookiecutter.project_name}}/src/apps/users/urls.py
from django.urls import path

from .views import user_detail_view
from .views import user_redirect_view
from .views import user_update_view

app_name = "users"
urlpatterns = [
    path("~redirect/", view=user_redirect_view, name="redirect"),
    path("~update/", view=user_update_view, name="update"),
    {% if cookiecutter.username_type == "email" %}
    path("<int:pk>/", view=user_detail_view, name="detail"),
    {% else %}
    path("<str:username>/", view=user_detail_view, name="detail"),
    {% endif %}
]

{{cookiecutter.project_name}}/src/config/urls.py
# ruff: noqa
from django.conf import settings
from django.conf.urls.static import static
from django.contrib import admin
from django.urls import include, path
from django.views import defaults as default_views
from django.views.generic import TemplateView

{% if cookiecutter.use_django_rest_framework %}
from drf_spectacular.views import SpectacularAPIView, SpectacularSwaggerView
from rest_framework.authtoken.views import obtain_auth_token

{% endif %}

urlpatterns = [
    path("", TemplateView.as_view(template_name="pages/home.html"), name="home"),
    path(
        "about/",
        TemplateView.as_view(template_name="pages/about.html"),
        name="about",
    ),
    # Django Admin, use {% raw %}{% url 'admin:index' %}{% endraw %}
    path(settings.ADMIN_URL, admin.site.urls),
    # User management
    path("users/", include("apps.users.urls", namespace="users")),
    path("accounts/", include("allauth.urls")),
    # Your stuff: custom urls includes go here
    # ...
    # Media files
    *static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT),
]

{% if cookiecutter.use_django_rest_framework %}
# API URLS
urlpatterns += [
    # API base url
    path("api/", include("config.api_router")),
    # DRF auth token
    path("api/auth-token/", obtain_auth_token),
    path("api/schema/", SpectacularAPIView.as_view(), name="api-schema"),
    path(
        "api/docs/",
        SpectacularSwaggerView.as_view(url_name="api-schema"),
        name="api-docs",
    ),
]
{% endif %}

if settings.DEBUG:
    # This allows the error pages to be debugged during development, just visit
    # these url in browser to see how these error pages look like.
    urlpatterns += [
        path(
            "400/",
            default_views.bad_request,
            kwargs={"exception": Exception("Bad Request!")},
        ),
        path(
            "403/",
            default_views.permission_denied,
            kwargs={"exception": Exception("Permission Denied")},
        ),
        path(
            "404/",
            default_views.page_not_found,
            kwargs={"exception": Exception("Page not Found")},
        ),
        path("500/", default_views.server_error),
    ]


    if "django_browser_reload"  in settings.INSTALLED_APPS:
        urlpatterns = [
            path("__reload__/", include("django_browser_reload.urls"))
        ] + urlpatterns

    if "debug_toolbar" in settings.INSTALLED_APPS:
        import debug_toolbar
        urlpatterns = [path("__debug__/", include(debug_toolbar.urls))] + urlpatterns

{{cookiecutter.project_name}}/src/apps/templates/elements/navbar.html
{% raw -%}
{% load static i18n %}

<header>
  <div class="navbar bg-base-100 text-lg font-semibold">
    <div class="navbar-start">
      <div class="dropdown">
        <div tabindex="0" role="button" class="btn btn-ghost lg:hidden">
          <svg xmlns="http://www.w3.org/2000/svg"
               class="h-5 w-5"
               fill="none"
               viewBox="0 0 24 24"
               stroke="currentColor">
            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 6h16M4 12h8m-8 6h16" />
          </svg>
        </div>
        <ul tabindex="0"
            class="menu menu-sm dropdown-content mt-3 z-[1] p-2 shadow bg-base-100 rounded-box w-52">
          <li>
            <a href="{% url 'home' %}">Home</a>
          </li>
          <li>
            <a href="{% url 'about' %}">About</a>
          </li>
          {% if request.user.is_authenticated %}
            <li>
              <a href="{% url 'users:detail' request.user.pk %}">My Profile</a>
            </li>
            <li>
              <a href="{% url 'account_logout' %}">{% translate "Sign Out" %}</a>
            </li>
          {% else %}
            {% if ACCOUNT_ALLOW_REGISTRATION %}
              <li>
                <a href="{% url 'account_signup' %}">{% translate "Sign Up" %}</a>
              </li>
            {% endif %}
          {% endif %}
        </ul>
      </div>
      <a class="btn btn-ghost" href="{% url 'home' %}">
        <span class="sr-only">ADACS</span>
        <img class="h-7 w-auto mb-2"
             src="{% static 'images/adacs_logo.svg' %}"
             alt="ADACS logo" />
      </a>
    </div>
    <div class="navbar-center hidden lg:flex">
      <ul class="menu menu-horizontal px-1">
        <li>
          <a href="{% url 'home' %}">Home</a>
        </li>
        <li>
          <a href="{% url 'about' %}">About</a>
        </li>
      </ul>
    </div>
    <div class="navbar-end hidden lg:flex">
      <ul class="menu menu-horizontal">
        {# URLs provided by django-allauth/account/urls.py #}
        {% if request.user.is_authenticated %}
          <li>
            <a href="{% url 'users:detail' request.user.pk %}">My Profile</a>
          </li>
          <li>
            <a href="{% url 'account_logout' %}">Sign Out</a>
          </li>
        {% else %}
          {% if ACCOUNT_ALLOW_REGISTRATION %}
            <li>
              <a class="hidden lg:flex" href="{% url 'account_signup' %}">Sign Up</a>
            </li>
          {% endif %}
          <li>
            <a href="{% url 'account_login' %}">Log in <span aria-hidden="true">&rarr;</span></a>
          </li>
        {% endif %}
      </ul>
    </div>
  </div>
</header>
{% endraw %}